Bug 174777 - up2date fails to compute dependecies python stakctrace generated
up2date fails to compute dependecies python stakctrace generated
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
4
noarch Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-01 20:10 EST by Suhan Andrei
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-05 11:31:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Suhan Andrei 2005-12-01 20:10:12 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
up2date produces strange stacktrace in the log file . log file can be found in standard output. Instalation cannot skip this excepption, i.e. I may need to continue with other packages that has dependecies ok.  

Version-Release number of selected component (if applicable):
up2date-4.4.23-4

How reproducible:
Always

Steps to Reproduce:
1.run up2date rrom an xterm to see up2date standard output messages
2. 
3.
  

Actual Results:  [Fri Dec  2 04:49:45 2005] up2date solving dep for: ['liblink-grammar.so.4', 'libmathview.so.0', 'libmathview_frontend_libxml2.so.0', 'mathml-fonts', 'libcares.so.0', 'dietlibc-lib', 'libc.so', 'eclipse-rcp', 'lucene', 'lucene-demo', 'libid3-3.8.so.3', 'libportaudio.so', 'libfftw3.so.3', 'libhdf5.so.0', 'blas-devel', 'fftw3-devel', 'hdf5-devel', 'lapack-devel', 'libgnet-2.0.so.0', 'libgpgme.so.11', 'libgpgme.so.11(GPGME_1.0)']
[Fri Dec  2 04:52:55 2005] up2date   File "/usr/share/rhn/up2date_client/gui.py", line 1822, in doRetrieval
    self.setRetrievalProgress)
   File "/usr/share/rhn/up2date_client/up2date.py", line 192, in getPackage
    progressCallback)
   File "/usr/share/rhn/up2date_client/rpcServer.py", line 316, in doCall
    ret = apply(method, args, kwargs)
   File "/usr/share/rhn/up2date_client/repoDirector.py", line 39, in getPackageSource
    return self.handlers[channel['type']].getPackageSource(channel, pkg, msgCallback, progressCallback)
   File "/usr/share/rhn/up2date_client/repoBackends/genericRepo.py", line 17, in __getattr__
    self.psc.setSourceInstances(self.sources[name])


Expected Results:  be able to skip failed dependecies or have an alternate way of handling ( maybe resorting to yum )

Additional info:

sometimes can workaround by watching list of dependencies and getting the package via yum.
Comment 1 John Thacker 2006-10-29 15:30:46 EST
up2date was replaced by pirut and put (package pirut) as of FC5.  Only FC5 and
FC6 are currently fully supported; FC3 and FC4 are supported for security fixes
only.  If this bug occurs in FC3 or FC4 and is a security bug, please change the
product to Fedora Extras and the version to match.  If you can verify that the
bug exists in RHEL as well, please change the product and version appropriately.

The codebase for pirut and pup is quite different, but if a similar bug exists
in pirut and pup in FC5 or FC6, please change the product to pirut and the
version appropriately and update the bug report.

We apologize that the bug was not fixed before now.  The status will be changed
to NEEDINFO, and if the bug is not updated with evidence that it is a security
bug or a bug that affects RHEL, it will be closed.
Comment 2 John Thacker 2006-11-05 11:31:47 EST
Closing per previous message.

Note You need to log in before you can comment on or make changes to this bug.